# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiPowTemplate(ShaderAETemplate):
    def setup(self):
    	self.addSwatch()
       
        self.beginScrollLayout()

        self.addControl('base', label='»ω΄‘')
        self.addControl('exponent', label='ΦΈΚύ')
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
